package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RSStuVo;
import com.xhkjedu.sapi.vo.region.RSTeacherVo;
import com.xhkjedu.sapi.vo.region.RegionParam;
import com.xhkjedu.sapi.vo.region.SchoolVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RSchoolAnalyzeMapper {
    //获取学校列表
    List<SchoolVo> listSchool(@Param("param") RegionParam param);

    //教师性别统计
    List<RSTeacherVo> listTeacherSex(@Param("year") Integer year);

    //教师科目统计
    List<RSTeacherVo> listTeacherSubject();

    //学生统计
    List<RSStuVo> listStu(@Param("param") RegionParam param);

    //活跃度统计
    List<Map> listAccess(@Param("param") RegionParam param);
}
